require 'default:player'
require 'Party'
require 'CriminalSystem'

function RegisterPartyCommands()
		RegisterCommand{ Command="accept", AccessLevel = AccessLevel.Mortal, Func=Party.Accept, Desc="Accepts a Party Invitation" }
		RegisterCommand{ Command="decline", AccessLevel = AccessLevel.Mortal, Func=Party.Decline, Desc="declines a Party Invitation" }
		RegisterCommand{ Command="invite", AccessLevel = AccessLevel.Mortal, Func=Party.InviteTarget, Desc="Invites someone to a party" }
		RegisterCommand{ Command="p", AccessLevel = AccessLevel.Mortal, Func=Party.SendMessage, Desc="Invites someone to a party" }
		RegisterCommand{ Command="party", AccessLevel = AccessLevel.Mortal, Func=Party.Command, Desc="Lists your Party and allowes to leave" }
end

UpdateNameOrg = UpdateName

function UpdateName()
	local actualName = this:GetObjVar("actualName")
	if( actualName == nil ) then
		 actualName = this:GetName()
		 this:SetObjVar("actualName",actualName)
    end
		local Points = GetPointsForPlayer(this);

		if (Points >= 20) then
			this:SetName("[FF0000]"..actualName.."[-]")
		else
			UpdateNameOrg()
		end
end

-- This function will run every time the object is loaded (even from a backup)
-- We register our party commands here and reset the Party and Invitation
-- ObjVars to be sure.
RegisterPartyCommands()
this:SetObjVar("Party",nil)
this:SetObjVar("PartyInvitation",nil)
UpdateName()
