local templateListPage = 1
function ShowPlacableTemplates()
	local newWindow = DynamicWindow("TemplateList","List of available templates",410,650)
	local x = 20
	local y = 10
	local rowIndex = 1
	local itemsPerPage = 18
	local startIndex = ((templateListPage-1) * itemsPerPage) + 1
	local commandIndex = 1
	local templatesListTable = GetAllTemplateNames()
	for i=1,#templatesListTable do
			if( commandIndex >= startIndex and commandIndex < startIndex + itemsPerPage) then
				tooltip = ""
				newWindow:AddButton(x, y, "create:"..templatesListTable[i],templatesListTable[i], 350, 0, "", "", false)
				if( rowIndex == 1 ) then
					x = 20
					y = y + 30
					rowIndex = 1
				else
					x = x + 200
					rowIndex = 1
				end
			end
			commandIndex = commandIndex + 1
	end
		if( templateListPage > 1 ) then
		newWindow:AddButton(80, 580, "UserListPrev:test", "Previous", 100, 0, "", "", false)
	end
	if( templateListPage <= (commandIndex-1) / itemsPerPage) then
		newWindow:AddButton(230, 580, "UserListNext:test", "Next", 100, 0, "", "", false)
	end
	this:OpenDynamicWindow(newWindow)
end

local templateId
RegisterEventHandler(EventType.ClientTargetLocResponse, "createTemplateAt",
	function(success,targetLoc)
		if not(this:IsDemiGod()) then return end
		
		CreateObj(templateId,targetLoc)
		PlayEffectAtLoc("TeleportFromEffect",targetLoc)
	end
)

RegisterEventHandler(EventType.DynamicWindowResponse,"TemplateList",
	function (user,returnId)
		if(returnId ~= nil) then
			action, template = string.match(returnId, "(%a+):([%a_]+)")
			if(action == "create") then
				templateId = GetTemplateMatch(template)
				if( templateId ~= nil ) then
					this:RequestClientTargetLoc(this,"createTemplateAt")
				end
			elseif(action == "UserListNext") then
			templateListPage = templateListPage + 1
			ShowPlacableTemplates()
			elseif( action == "UserListPrev") then
				templateListPage = templateListPage - 1
				ShowPlacableTemplates(playerObj)
			end
		end	
	end)
	


	
	
ModedCommandFuncs= 
{
	PlaceTemplatesUI = function ()
		ShowPlacableTemplates()
	end,
}
RegisterCommand{ Command="PlaceTemplatesUI", AccessLevel = AccessLevel.God, Func=ModedCommandFuncs.PlaceTemplatesUI, Desc="List of online users with possibility to teleport to their location" }
